> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Instruments

> List all instrument configurations for a group.



## OpenAPI

````yaml /openapi.json get /groups/{group_id}/instruments
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /groups/{group_id}/instruments:
    get:
      tags:
        - Instruments & Groups
      summary: List Group Instruments
      description: List all instrument configurations for a group.
      operationId: list_group_instruments_groups__group_id__instruments_get
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupInstrumentResponse'
                title: >-
                  Response List Group Instruments Groups  Group Id  Instruments
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GroupInstrumentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        instrument_id:
          type: string
          format: uuid
          title: Instrument Id
        symbol:
          type: string
          title: Symbol
        tradeability:
          anyOf:
            - type: string
            - type: 'null'
          title: Tradeability
        spread:
          anyOf:
            - type: number
            - type: 'null'
          title: Spread
        margin_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Rate
        swap_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Swap Type
        swap_long:
          anyOf:
            - type: number
            - type: 'null'
          title: Swap Long
        swap_short:
          anyOf:
            - type: number
            - type: 'null'
          title: Swap Short
        commission_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Commission Type
        commission_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Commission Value
        min_lot:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Lot
        max_lot:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Lot
        lot_step:
          anyOf:
            - type: number
            - type: 'null'
          title: Lot Step
        max_symbol_exposure:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Symbol Exposure
      type: object
      required:
        - id
        - group_id
        - instrument_id
        - symbol
        - tradeability
        - spread
        - margin_rate
        - swap_type
        - swap_long
        - swap_short
        - commission_type
        - commission_value
        - min_lot
        - max_lot
        - lot_step
      title: GroupInstrumentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````